
/*
 * fast copy that optimizes string instructions
 */

	.text
	.globl	_bcopy
_bcopy:
	movd	4(sp),r1	/* from */
	movd	8(sp),r2	/* to */
	movd	12(sp),r0	/* byte count */
	ashd	$-2,r0		/* word count */
	movsd
	movqd	3,r0
	andb	12(sp),r0	/* leftover bytes */
	movsb
	ret	0

